import { FC, ReactNode } from 'react';
import { ViewStyle } from 'react-native';
export interface IDates {
    id: string;
    day: string;
    month: string;
    year: string;
    isCurrentDate: boolean;
    isSelected: boolean;
    isDisabled: boolean;
}
export interface ITimes {
    id: string;
    time: string;
    isSelected: boolean;
    isBooked: boolean;
    isDisabled: boolean;
}
export interface IColors {
    selectedBgColor?: string;
    selectedColor?: string;
    currentDateColor?: string;
    disableOpacity?: number;
}
export interface IDateCardPosition {
    key: 'dayOfWeek' | 'day' | 'month' | 'year';
    isVisible: boolean;
    fontSize: number;
}
export interface IRNSlideCalendar {
    date?: Date | string;
    format?: string;
    includeTimes?: any;
    disabledDates?: Array<string>;
    bookedTimes?: any;
    selectedTimes?: any;
    monthRange?: number;
    timeInterval?: 15 | 30 | 45 | 60;
    withTimes?: boolean;
    isMultipleTimeSelect?: boolean;
    unSelectedTimeComponent?: ReactNode;
    colors?: IColors;
    dateCardPositions?: Array<IDateCardPosition>;
    styleDateFlatList?: ViewStyle;
    styleTimeFlatList?: ViewStyle;
    onDateSelect?: (date: string) => void;
    onTimeSelect?: (time: (string | undefined)[] | string) => void;
    onDateTimeSelect?: (dateTime: ('' | undefined | string)[] | string) => void;
}
export declare const RNAppointmentCalendar: FC<IRNSlideCalendar>;
