import { Text } from 'react-native';
import styled from 'styled-components';
import { BaseTouchableOpacity, BaseView } from '../globalStyle';
import { isEmpty } from '../utils/commonUtil';
export const StyledRNAppointmentCalendarContainer = styled(BaseView) `
  display: flex;
  width: 100%;
  height: 100%;
`;
export const StyledDateCard = styled(BaseTouchableOpacity) `
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 10px 15px;
  background-color: #fafafa;
  margin-left: 5px;
  margin-right: 5px;
  border-radius: 6px;
  ${(props) => !isEmpty(props.isSelected) && `background-color:${props.selectedBgColor || '#328ae8'};`}
  ${(props) => !isEmpty(props.disabled) && `opacity:${props.disabledOpacity || 0.5};`}
`;
export const BaseCardDateText = styled(Text) `
  ${(props) => !isEmpty(props.fontSize) && `font-size: ${props.fontSize || 14}px;`}
  ${(props) => !isEmpty(props.isSelected) && `color: ${props.selectedColor || '#FFFFFF'};`}
  ${(props) => !isEmpty(props.isCurrentDate) && isEmpty(props.isSelected) && `color: ${props.currentDateColor || '#328ae8'};`}
`;
export const TimeCardContainer = styled(BaseTouchableOpacity) `
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 10px 15px;
  background-color: #fafafa;
  border-width: 2px;
  border-color: #fafafa;
  margin-left: 5px;
  margin-right: 5px;
  border-radius: 6px;
  flex: 1;
  width: 100%;
  margin-bottom: 10px;
  ${(props) => !isEmpty(props.isSelected) && `background-color:${props.selectedBgColor || '#328ae8'};`}
  ${(props) => !isEmpty(props.disabled) && `opacity:${props.disabledOpacity || 0.5};`}
  ${(props) => !isEmpty(props.isBooked) && `border-color: ${props.selectedBgColor || '#328ae8'};`}
`;
//# sourceMappingURL=rnAppointmentCalendarStyle.js.map